Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WOutlookBar
Class Bars

    java.lang.Object
      LumiSoft.UI.Controls.WOutlookBar.Bars

All Implemented Interfaces:
  java.lang.Iterable<Bar>

    public class Bars

extends java.lang.Object
implements java.lang.Iterable<Bar>

Outlookbar bars collection.

Method Summary
`Bar` | `Add(java.lang.String text)` Add new bar with specified text to bars collection.
`Bar` | `Add(java.lang.String text, java.lang.String textID)` Add new bar with specified text and textID to bars collection.
`Bar` | `get(int index)` Gets bar from specified index.
`int` | `getCount()` Gets bars count in collection.
`Bar[]` | `getVisibleBars()` Gets visible bars.
`WOutlookBar` | `getWOutlookBar()` Gets reference to bars owner outlookbar.
`int` | `indexOf(Bar bar)` Gets specified bar index.
`java.util.Iterator<Bar>` | `iterator()` Gets iterator.
`void` | `remove(Bar bar)` Removes specified bar.
`void` | `remove(int index)` Removes bar from specified index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public Bar Add(java.lang.String text)

  Add new bar with specified text to bars collection.

  Parameters:
    `text` -
  Returns:

### Add

    public Bar Add(java.lang.String text,
                   java.lang.String textID)

  Add new bar with specified text and textID to bars collection.

  Parameters:
    `text` -
    `textID` -
  Returns:

### remove

    public void remove(int index)

  Removes bar from specified index.

  Parameters:
    `index` -

### remove

    public void remove(Bar bar)

  Removes specified bar.

  Parameters:
    `bar` -

### indexOf

    public int indexOf(Bar bar)

  Gets specified bar index.

  Parameters:
    `bar` -
  Returns:

### get

    public Bar get(int index)

  Gets bar from specified index.

  Parameters:
    `index` -
  Returns:

### getCount

    public int getCount()

  Gets bars count in collection.

  Returns:

### getVisibleBars

    public Bar[] getVisibleBars()

  Gets visible bars.

  Returns:

### getWOutlookBar

    public WOutlookBar getWOutlookBar()

  Gets reference to bars owner outlookbar.

  Returns:

### iterator

    public java.util.Iterator<Bar> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Bar>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD